Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
FoxitPDFSDKPython2.PDFDictionary Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDFDictionary:

## Public Member Functions
def | GetElement (key)
| Get the value element of an entry with specified key. More...
def | GetKey (position)
| Get the key of an entry specified by position. More...
def | GetValue (position)
| Get the value element of an entry specified by position. More...
def | HasKey (key)
| Check whether there is an entry with specified key in current dictionary or not. More...
def | MoveNext (position)
| Move to the position of first or the next entry. More...
def | RemoveAt (key)
| Remove an entry specified by key. More...
def | SetAt (key, pdf_object)
| Set a direct PDF object (whose object number is always equal to 0) as value element to an entry specified by key. More...
def | SetAtBoolean (key, value)
| Set boolean element an entry specified by key. More...
def | SetAtDateTime (key, value)
| Set a Datetime object as value element to an entry specified by key. More...
def | SetAtFloat (key, value)
| Set a float element to an entry specified by key. More...
def | SetAtInteger (key, value)
| Set a integer element to an entry specified by key. More...
def | SetAtMatrix (key, value)
| Set a matrix object as value element to an entry specified by key. More...
def | SetAtName (key, value)
| Set a string (as PDF name object) as value element to an entry specified by key. More...
def | SetAtRect (key, value)
| Set a rectangle object as value element to an entry specified by key. More...
def | SetAtReference (key, pdf_object, document)
| Set the reference object of an indirect PDF object (whose object number is always above 0) as value element to an entry specified by key. More...
def | SetAtString (key, value)
| Set a string as value element to an entry specified by key. More...
Public Member Functions inherited from FoxitPDFSDKPython2.PDFObject
def | CloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | DeepCloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | GetArray ()
| Get the PDF array object of current PDF object. More...
def | GetBoolean ()
| Get the boolean value of current PDF object. More...
def | GetDateTime ()
| Get the date time value of current PDF object. More...
def | GetDict ()
| Get the PDF dictionary object of current PDF object. More...
def | GetDirectObject ()
| Get the direct object of current PDF object. More...
def | GetFloat ()
| Get the float value of current PDF object. More...
def | GetInteger ()
| Get the integer value of current PDF object. More...
def | GetMatrix ()
| Get the matrix value of current PDF object. More...
def | GetName ()
| Get the name value of current PDF object. More...
def | GetObjNum ()
| Get the indirect object number of current PDF object. More...
def | GetRect ()
| Get the rectangle value of current PDF object. More...
def | GetStream ()
| Get the PDF stream object of current PDF object. More...
def | GetString ()
| Get the string value of current PDF object. More...
def | GetType ()
| Get the type of current PDF object. More...
def | GetWideString ()
| Get the wide string value of current PDF object. More...
def | IsIdentical (pdf_obj)
| Check if input PDF object is identical with current PDF object. More...
def | Release ()
| Release a newly created PDF object or a clone PDF object, which is not related to PDF document or other PDF object and will not be used any more. More...

## Static Public Member Functions
def | Create ()
| Create a new dictionary object. More...
Static Public Member Functions inherited from FoxitPDFSDKPython2.PDFObject
def | CreateFromBoolean (boolean_value)
| Create a PDF object from a boolean value. More...
def | CreateFromDateTime (date_time)
| Create a PDF object from date time. More...
def | CreateFromFloat (float_value)
| Create a PDF object from a float number. More...
def | CreateFromInteger (integer_value)
| Create a PDF object from a integer number. More...
def | CreateFromName (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromNameW (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromString (string_value)
| Create a PDF object from string. More...
def | CreateFromString (string_value, length)
| Create a PDF object from string. More...
def | CreateReference (document, object_number)
| Create a reference for an indirect object. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython2.PDFObject
| e_Array = _fsdk.PDFObject_e_Array
| PDF array object.
| e_Boolean = _fsdk.PDFObject_e_Boolean
| PDF boolean object.
| e_Dictionary = _fsdk.PDFObject_e_Dictionary
| PDF dictionary object.
| e_InvalidType = _fsdk.PDFObject_e_InvalidType
| Invalid PDF object type.
| e_Name = _fsdk.PDFObject_e_Name
| PDF name object.
| e_Null = _fsdk.PDFObject_e_Null
| PDF null object.
| e_Number = _fsdk.PDFObject_e_Number
| PDF number object.
| e_Reference = _fsdk.PDFObject_e_Reference
| PDF reference object.
| e_Stream = _fsdk.PDFObject_e_Stream
| PDF stream object.
| e_String = _fsdk.PDFObject_e_String
| PDF string object.

## Detailed Description

A PDF dictionary object is an associative table containing pairs of objects, known as entries of the dictionary. The first element of each entry is the key, and it must be a PDF name object. The second element is the value, and it can be any kind of PDF object, including another dictionary. In the same dictionary, no two entries should have the same key. For more details, please refer to Section 3.2.6 "Dictionary Objects" in <PDF Reference 1.7>.
Class FoxitPDFSDKPython2.PDFDictionary is derived from PDFObject and offers functions to create a new PDF dictionary object and get/set entries in a PDF dictionary object.

See also
  PDFObject

## Member Function Documentation

## ◆ Create()

FoxitPDFSDKPython2.PDFDictionary.Create | ( |  | ) |
| static

Create a new dictionary object.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Returns
  A new PDFDictionary object. If there is any error, this function will return null.

## ◆ GetElement()

def FoxitPDFSDKPython2.PDFDictionary.GetElement | ( |  | key | ) |

Get the value element of an entry with specified key.

Parameters

  [in] | key | The key of the entry. It should not be an empty string.

Returns
  A PDFObject object that receives the value with specified key. If not found, this function will return null.

## ◆ GetKey()

def FoxitPDFSDKPython2.PDFDictionary.GetKey | ( |  | position | ) |

Get the key of an entry specified by position.

Parameters

  [in] | position | A POSITION that specifies the position of the entry. It should not be null or 0.

Returns
  The key of the specified entry.

## ◆ GetValue()

def FoxitPDFSDKPython2.PDFDictionary.GetValue | ( |  | position | ) |

Get the value element of an entry specified by position.

Parameters

  [in] | position | A POSITION that specifies the position of the entry. It should not be null or 0.

Returns
  A PDFObject that receives the value element of the specified entry. If there is any error, this function will return null.

## ◆ HasKey()

def FoxitPDFSDKPython2.PDFDictionary.HasKey | ( |  | key | ) |

Check whether there is an entry with specified key in current dictionary or not.

Parameters

  [in] | key | The key to be checked. It should not be an empty string.

Returns
  true means the specified key exist in current dictionary, while false means not.

## ◆ MoveNext()

def FoxitPDFSDKPython2.PDFDictionary.MoveNext | ( |  | position | ) |

Move to the position of first or the next entry.

Parameters

  [in] | position | A POSITION that indicates the position of current entry in the dictionary. If this is null or 0, the position of first entry in the dictionary will be returned.

Returns
  A POSITION that represents the position of next entry in the dictionary. null or 0 means current entry is the last in the dictionary.

## ◆ RemoveAt()

def FoxitPDFSDKPython2.PDFDictionary.RemoveAt | ( |  | key | ) |

Remove an entry specified by key.

Parameters

  [in] | key | The key of the entry to be removed. It should not be an empty string.

Returns
  None.

## ◆ SetAt()

def FoxitPDFSDKPython2.PDFDictionary.SetAt | ( |  | key,
|  |  | pdf_object
| ) |  |

Set a direct PDF object (whose object number is always equal to 0) as value element to an entry specified by key.

If user wants to set indirect PDF object (whose object number is always above 0) to an entry, please refer to function FoxitPDFSDKPython2.PDFDictionary.SetAtReference .

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | pdf_object | A PDFObject object which is a direct PDF object (whose object number is always equal to 0) and will be set to the entry. It should not be null.

Returns
  None.

## ◆ SetAtBoolean()

def FoxitPDFSDKPython2.PDFDictionary.SetAtBoolean | ( |  | key,
|  |  | value
| ) |  |

Set boolean element an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A boolean element which will be set to the entry.

Returns
  None.

## ◆ SetAtDateTime()

def FoxitPDFSDKPython2.PDFDictionary.SetAtDateTime | ( |  | key,
|  |  | value
| ) |  |

Set a Datetime object as value element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | The date time information which will be set to the entry.

Returns
  None.

## ◆ SetAtFloat()

def FoxitPDFSDKPython2.PDFDictionary.SetAtFloat | ( |  | key,
|  |  | value
| ) |  |

Set a float element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A float value which will be set to the entry.

Returns
  None.

## ◆ SetAtInteger()

def FoxitPDFSDKPython2.PDFDictionary.SetAtInteger | ( |  | key,
|  |  | value
| ) |  |

Set a integer element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | An integer value which will be set to the entry.

Returns
  None.

## ◆ SetAtMatrix()

def FoxitPDFSDKPython2.PDFDictionary.SetAtMatrix | ( |  | key,
|  |  | value
| ) |  |

Set a matrix object as value element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A matrix which will be set to the entry.

Returns
  None.

## ◆ SetAtName()

def FoxitPDFSDKPython2.PDFDictionary.SetAtName | ( |  | key,
|  |  | value
| ) |  |

Set a string (as PDF name object) as value element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A string which will be set as PDF name object to the entry. It should not be an empty string.

Returns
  None.

## ◆ SetAtRect()

def FoxitPDFSDKPython2.PDFDictionary.SetAtRect | ( |  | key,
|  |  | value
| ) |  |

Set a rectangle object as value element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A rectangle which will be set to the entry.

Returns
  None.

## ◆ SetAtReference()

def FoxitPDFSDKPython2.PDFDictionary.SetAtReference | ( |  | key,
|  |  | pdf_object,
|  |  | document
| ) |  |

Set the reference object of an indirect PDF object (whose object number is always above 0) as value element to an entry specified by key.

If user wants to set direct PDF object (whose object number is always equal to 0) to an entry, please refer to function FoxitPDFSDKPython2.PDFDictionary.SetAt .

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | pdf_object | A PDFObject object which is an indirect PDF object (whose object number is always above 0) and will be set to the entry by a reference object which refers to this indirect object. It should not be null.
  [in] | document | A valid PDF document object, to which current PDF dictionary object belongs and in which parameter pdf_object is or will be an indirect object.

Returns
  None.

## ◆ SetAtString()

def FoxitPDFSDKPython2.PDFDictionary.SetAtString | ( |  | key,
|  |  | value
| ) |  |

Set a string as value element to an entry specified by key.

Parameters

  [in] | key | The key of the entry, whose value element will be set. It should not be an empty string.
  [in] | value | A wide string which will be set as PDF string object to the entry.

Returns
  None.

Note
  If to get string value, please call function FoxitPDFSDKPython2.PDFObject.GetWideString .